petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDACreateNaturalVector

Creates a parallel PETSc vector that will hold vector values in the natural numbering, rather than in the PETSc parallel numbering associated with the DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDACreateNaturalVector(DM da,Vec *g)

Collective on DMDA

### Input Parameter

da -the distributed array

### Output Parameter

g -the distributed global vector

### Note

The output parameter, g, is a regular PETSc vector that should be destroyed with a call to VecDestroy() when usage is finished.

The number of local entries in the vector on each process is the same as in a vector created with DMCreateGlobalVector().

### Keywords

distributed array, create, global, distributed, vector

### See Also

DMCreateLocalVector(), VecDuplicate(), VecDuplicateVecs(),
DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDALocalToGlobalBegin()

Level:developer
Location:src/dm/impls/da/dadist.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages